OperationCreateConicalBentPlateByFaces Method (Part, IListPoint, Part, IListPoint, Double, Double)

Modifies the first plate by adding a conical bend that connects it to the second plate creating a new BentPlate instance based on two parts, selected faces in each part and radius. This method can change GUID when using from plug-ins. To keep GUID, use AddLeg(ConnectiveGeometry, LineSegment, ConnectiveGeometry, LineSegment, Double).

Namespace:  Tekla.Structures.Model.Operations
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2023.0.3
Syntax
public static BentPlate CreateConicalBentPlateByFaces(
	Part part1,
	IList<Point> face1,
	Part part2,
	IList<Point> face2,
	double largestRadius,
	double halfAperture
)

Parameters

part1
Type: Tekla.Structures.ModelPart
The first part.
face1
Type: System.Collections.GenericIListPoint
The selected face on the first part.
part2
Type: Tekla.Structures.ModelPart
The second part.
face2
Type: System.Collections.GenericIListPoint
The selected face on the second part.
largestRadius
Type: SystemDouble
The largest target radius for the created conical section.
halfAperture
Type: SystemDouble
Angle between a generatrix of the cone and its center line (i.e. axis)

Return Value

Type: BentPlate
The bent plate object if successful, null otherwise.
Exceptions
ExceptionCondition
ConnectiveGeometryExceptionThrown if could not create ConnectiveGeometry instance.
ArgumentExceptionThrown when faces have incorrect number of face points or received unsupported bent plate creation input.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next